PHPNET Assistance

Informations PHPNET => Boîte à idées => Discussion démarrée par: Just le 29 août 2006 à 09:32:01

Titre: PHP 4/5 Modulable...?!
Posté par: Just le 29 août 2006 à 09:32:01
Bonjour,

Voici déjà quelques temps maintenant que nous bénéficions de PHP5: merci :D!

Mais ce dernier reste ici, à titre expérimental :s. En effet on ne peut que difficilement le mettre en pratique dans tous les sens étant restreint au www2 comme sous domaine [et le bidouillage de redirection n'est pas une solution mais bel et bien un bidouillage ^^].

Donc ma demande est: pourrait-on bénéficier d'un choix d'activation de PHP5 sur certain répertoire/sous-domaine/domaine?

La remarque qui suit n'est aucunement agressive: certains concurent de PHPNET propose déjà ce type de service. C'est donc fesable.

Merci d'avance.
Titre: Re : PHP 4/5 Modulable...?!
Posté par: juju2000 le 05 janvier 2007 à 16:18:07
C'est vrai que cette modification serait un vrai plus, la solution du www2 n'est vraiment pas pratique pour nos visiteurs et pour les scripts php pré existant.

Cette solution serait idéal (ou alors un passage complet à php5 peux peux être ce faire prés de 2 ans apres la release de ce dernier.)
Titre: Re : PHP 4/5 Modulable...?!
Posté par: thibaud le 05 janvier 2007 à 16:30:36
une option de passage permanent a php5 va etre ajoutée d'ici peu.
Titre: Re : Re : PHP 4/5 Modulable...?!
Posté par: juju2000 le 05 janvier 2007 à 16:45:54
une option de passage permanent a php5 va etre ajoutée d'ici peu.

Merci :-)
Titre: Re : PHP 4/5 Modulable...?!
Posté par: prome le 09 janvier 2007 à 23:20:50
Je sais que chez un concurrent, il suffit de rajouter un paramètre ds un htaccess, pourquoi ne pas faire de même ?
Je trouve cette solution plus pratique en fait, car on sait faire son choix selon le site web qu'on programme.
Car je suppose que la solution pour le bouton dans le panel, c'est pour savoir si tout l'hébergement est en php5 ou non ?  :huh:
Titre: Re : PHP 4/5 Modulable...?!
Posté par: Just le 10 janvier 2007 à 09:26:45
Bonjour,

Nan prome, elle te permet d'attribuer une version de PHP selon le nom de domaine de provenance.
Puisqu'en faites c'est une simple redirection, mais totalement transparente pour l'utilisateur.
Titre: Re : PHP 4/5 Modulable...?!
Posté par: prome le 11 janvier 2007 à 06:34:59
Ca, ça serait nickel en effet :)